<?php

// Image box -----------------------------
vc_map( array (
    'base' 			=> 'avo_image_box',
    'name' 			=> __('Image Box', 'avo_plg'),
    'category' 		=> __('Avo', 'avo_plg'),
    'description' 	=> __('Create custom image box element', 'avo_plg'),
    'params' 		=> array (
        // General
        array (
            'param_name'    => 'image',
            'type'          => 'attach_image',
            'heading'       => __('Image', 'avo_plg'),
            'admin_label'   => false,
            'group' => __( 'General', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'holder' => 'em',
            'group' => __( 'General', 'avo_plg' ),
            'heading' => __( 'Width (%)', 'avo_plg' ),
            'description' => __( 'Please add value from 5 to 100.', 'avo_plg' ),
            'param_name' => 'image_size',
        ),
        array(
            'type' => 'textfield',
            'holder' => 'em',
            'group' => __( 'General', 'avo_plg' ),
            'heading' => __( 'Title & Subtitle Spacing', 'avo_plg' ),
            'description' => __( 'Please the value add the unit (for example: 10px or 10%).', 'avo_plg' ),
            'param_name' => 'title_text_margin',
        ),
        array(
            'type' => 'textfield',
            'holder' => 'em',
            'group' => __( 'General', 'avo_plg' ),
            'heading' => __( 'Title', 'avo_plg' ),
            'param_name' => 'title',
        ),
        array(
            'type' => 'textfield',
            'holder' => 'em',
            'group' => __( 'General', 'avo_plg' ),
            'heading' => __( 'Subtitle', 'avo_plg' ),
            'param_name' => 'subtitle',
        ),
        array(
            'type' => 'textfield',
            'holder' => 'em',
            'group' => __( 'General', 'avo_plg' ),
            'heading' => __( 'Text', 'avo_plg' ),
            'param_name' => 'text',
        ),
        array(
            'type' => 'textfield',
            'holder' => 'em',
            'group' => __( 'General', 'avo_plg' ),
            'heading' => __( 'Button Text', 'avo_plg' ),
            'param_name' => 'btn_text',
        ),
        array(
            'type' => 'textfield',
            'holder' => 'em',
            'group' => __( 'General', 'avo_plg' ),
            'heading' => __( 'Button Link', 'avo_plg' ),
            'param_name' => 'link',
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Box Setting', 'avo_plg' ),
            'heading' => __('Background Color', 'avo_plg'),
            'param_name' => 'box_color',
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Box Setting', 'avo_plg' ),
            'heading' => __('Border Color', 'avo_plg'),
            'param_name' => 'boxbrd_color',
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __('Color', 'avo_plg'),
            'param_name' => 'title_color',
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __( 'Margin Top', 'avo_plg' ),
            'param_name' => 'title_margin_top',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __( 'Margin Right', 'avo_plg' ),
            'param_name' => 'title_margin_right',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __( 'Margin Bottom', 'avo_plg' ),
            'param_name' => 'title_margin_bottom',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __( 'Margin Left', 'avo_plg' ),
            'param_name' => 'title_margin_left',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __( 'Padding Top', 'avo_plg' ),
            'param_name' => 'title_padding_top',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __( 'Padding Right', 'avo_plg' ),
            'param_name' => 'title_padding_right',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __( 'Padding Bottom', 'avo_plg' ),
            'param_name' => 'title_padding_bottom',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Title Setting', 'avo_plg' ),
            'heading' => __( 'Padding Left', 'avo_plg' ),
            'param_name' => 'title_padding_left',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'colorpicker',
            'group' => __( 'Subtitle Setting', 'avo_plg' ),
            'heading' => __('Color', 'avo_plg'),
            'param_name' => 'subtitle_color',
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Text Setting', 'avo_plg' ),
            'heading' => __('Color', 'avo_plg'),
            'param_name' => 'text_color',
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Text Setting', 'avo_plg' ),
            'heading' => __( 'Margin Top', 'avo_plg' ),
            'param_name' => 'text_margin_top',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Text Setting', 'avo_plg' ),
            'heading' => __( 'Margin Right', 'avo_plg' ),
            'param_name' => 'text_margin_right',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Text Setting', 'avo_plg' ),
            'heading' => __( 'Margin Bottom', 'avo_plg' ),
            'param_name' => 'text_margin_bottom',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Text Setting', 'avo_plg' ),
            'heading' => __( 'Margin Left', 'avo_plg' ),
            'param_name' => 'text_margin_left',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Margin Top', 'avo_plg' ),
            'param_name' => 'btn_margin_top',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Margin Right', 'avo_plg' ),
            'param_name' => 'btn_margin_right',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Margin Bottom', 'avo_plg' ),
            'param_name' => 'btn_margin_bottom',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Margin Left', 'avo_plg' ),
            'param_name' => 'btn_margin_left',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Padding Top', 'avo_plg' ),
            'param_name' => 'btn_padding_top',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Padding Right', 'avo_plg' ),
            'param_name' => 'btn_padding_right',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Padding Bottom', 'avo_plg' ),
            'param_name' => 'btn_padding_bottom',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Padding Left', 'avo_plg' ),
            'param_name' => 'btn_padding_left',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ), 
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Border Radius Top Left', 'avo_plg' ),
            'param_name' => 'btn_border_radius_top',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Border Radius Top Right', 'avo_plg' ),
            'param_name' => 'btn_border_radius_right',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Border Radius Bottom Right', 'avo_plg' ),
            'param_name' => 'btn_border_radius_bottom',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Setting', 'avo_plg' ),
            'heading' => __( 'Border Radius Bottom Left', 'avo_plg' ),
            'param_name' => 'btn_border_radius_left',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __('Color', 'avo_plg'),
            'param_name' => 'btn_color',
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __('Color On Hover', 'avo_plg'),
            'param_name' => 'btn_color_hover',
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __('Background Color', 'avo_plg'),
            'param_name' => 'btn_bg',
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __('Background Color On Hover', 'avo_plg'),
            'param_name' => 'btn_bg_hover',
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __( 'Border Width Top', 'avo_plg' ),
            'param_name' => 'btn_border_top',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __( 'Border Width Right', 'avo_plg' ),
            'param_name' => 'btn_border_right',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __( 'Border Width Bottom', 'avo_plg' ),
            'param_name' => 'btn_border_bottom',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __( 'Border Width Left', 'avo_plg' ),
            'param_name' => 'btn_border_left',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __( 'Border Width Top on Hover', 'avo_plg' ),
            'param_name' => 'btn_border_hover_top',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __( 'Border Width Right on Hover', 'avo_plg' ),
            'param_name' => 'btn_border_hover_right',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __( 'Border Width Bottom on Hover', 'avo_plg' ),
            'param_name' => 'btn_border_hover_bottom',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'textfield',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __( 'Border Width Left on Hover', 'avo_plg' ),
            'param_name' => 'btn_border_hover_left',
            'description' => __( 'Please add the unit (for example: px or %).', 'avo_plg' ),
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __('Border Color', 'avo_plg'),
            'param_name' => 'btn_border_color',
        ),
        array(
            'type' => 'colorpicker',
            'group' => __( 'Button Color Scheme Setting', 'avo_plg' ),
            'heading' => __('Border Color on Hover', 'avo_plg'),
            'param_name' => 'btn_border_color_hover',
        ),
    )
));